(function ($) {
    // Wait for the document to be ready
    $(document).ready(function () {
        // Add event listener for when the Quick Edit button is clicked
        $('.editinline').on('click', function () {
            // Get the post ID from the containing row
            const postId = $(this).closest('tr').attr('id').replace('post-', '');

            // Get the event status from the hidden data
            const eventStatus = $('#inline_' + postId + ' .event_status').text();

            // Set the value in the Quick Edit form's status dropdown
            $('select[name="event_status"]').val(eventStatus);
        });
    });
})(jQuery);